Subject: Re: [PATCH net v4] net: tg3: guard napi_disable and pci_disable_device calls

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Jun 2026 19:50:49 -0700

On Wed, 27 May 2026 11:55:35 +0000 Yury Murashka wrote:
> During PCIe hot-plug events, uncorrectable errors can be reported and
> AER recovery for the tg3 device is initiated by the AER kernel driver.
> The tg3_io_error_detected function is the AER error recovery handler.

IDK, I really hate this NAPI specific tracking. Can we add a callback
to struct pci_error_handlers to let the driver know that things went
fully belly up and the driver should pack up its toys? Sounds to me
like the key issue here is that there's a side exit thru the state
machine.